elt(_,[],_):-write("fail : error in affectation"),nl.
elt(1,[H|_],H).
elt(N,[_|L],E):-
	N>1,

	N1 is N-1,
	elt(N1,L,E).

    

%**********************	

forJ(NmI,I,NmI,N,K,XI,L):-
	elt(NmI,L,XJ),
	IplusJ is I+NmI,
	elt(IplusJ,L,XJI),
	(XI##XJ;XI##XJI;XJ##XJI).

forJ(J,I,NmI,N,K,XI,L):-
	J < NmI,
	
	elt(J,L,XJ),
	IplusJ is I+J,
	elt(IplusJ,L,XJI),
	(XI##XJ;XI##XJI;XJ##XJI),
	J2 is J+1,
	forJ(J2,I,NmI,N,K,XI,L).
	

forI(I,I,N,L):-
	elt(I,L,XI),
%	DeuxI is 2*I,
%	elt(DeuxI,L,X2I),
%	XI##X2I,
	NmI is N-I,
	forJ(I,I,NmI,N,K,XI,L).

forI(I,K,N,L):-
	I < K,
	elt(I,L,XI),
%	DeuxI is 2*I,
%	elt(DeuxI,L,X2I),
%	XI##X2I,
	NmI is N-I,
	forJ(I,I,NmI,N,K,XI,L),
	I2 is I+1,
	forI(I2,K,N,L)
	.

schur(N,L):-
	length(L,N),
%	L=[X1|[X2|L2]],
%	X1::1..1,
%	X2::1..3,
%	L2::1..3,
	fd_domain(L,1,3),
	
	K is N//2,
	forI(1,K,N,L),

	fd_labeling(L).	
	
schur5(L):-
	length(L,5),
	L=[A,B,C,D,E],
	fd_domain(L,1,3),
	fd_domain(A,1,1),

	C##D,

	N is 5,
	K is N//2,
	forI(1,K,N,L),

	fd_labeling(L).	
